### Constructor

# FwupdPlugin MsgpackItem new_array

since: 2.0.0

#### Declaration [src]

    FuMsgpackItem*
    fu_msgpack_item_new_array (
      guint64 items
    )

#### Description [src]

Creates a new msgpack item.

Available since: 2.0.0

#### Parameters

`items`

  Type: `guint64`

  Number of items.

#### Return value

Type: `FuMsgpackItem`

A `FuMsgpackItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.